Bug 771432 - Provide native systemd service
Provide native systemd service
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cpqarrayd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Juran
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 751869
  Show dependency treegraph
 
Reported: 2012-01-03 13:18 EST by Jóhann B. Guðmundsson
Modified: 2012-08-08 14:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 14:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd unit for cpqarrayd (119 bytes, text/plain)
2012-01-03 13:21 EST, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2012-01-03 13:18:07 EST
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2012-01-03 13:21:13 EST
Created attachment 550495 [details]
Native systemd unit for cpqarrayd

I dont have any compaq hw hence this is untested ( Might need Type=forking and if relevant PIDFile=/run/cpqarrayd.pid in the [Service] section of the unit file ) but can be used as an start
Comment 2 Gwyn Ciesla 2012-05-15 09:12:42 EDT
David, any objection to my making this change?
Comment 3 David Juran 2012-07-31 05:20:54 EDT
None whatsoever, I don't even have a valid excuse for ignoring my Fedora packages for this long )-:

On a side-note, I not longer have access to any cciss hardware, so if you do (and you feel the functionality of cpqarrayd isn't covered by cciss_vol_status) I'm more then happy to let you take over this package...
Comment 4 Gwyn Ciesla 2012-07-31 10:16:43 EDT
I don't either, actually.  It seems like this might be retirable.  Do you, or anyone you know, have a position on that?  If not, I'll go ahead and do this.
Comment 5 David Juran 2012-08-08 14:04:18 EDT
Package retired, as discussed.

Note You need to log in before you can comment on or make changes to this bug.